<%@ page import="com.jeeplus.modules.sys.utils.UserUtils" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>转正申请</title>
	<meta name="decorator" content="default"/>
	<style>
		.widthClass{
			display: inline-block;
		}
		.shows .input-group{
			width: 48%!important;
		}
	</style>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">
				<form:form id="searchForm" modelAttribute="workRegularApply" action="${ctx}/workregularapply/workRegularApply/" method="post" class="form-inline">
					<%--以下三行照抄--%>
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
					<div class="commonQuery">
						<div class="layui-item query athird">
							<label class="layui-form-label">姓名：</label>
							<div class="layui-input-block">
								<input id="userName" name="userName" type="text"  maxlength="64" class=" form-control  layui-input laydate-icon" value="${workRegularApply.userName}" />
								</input>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">申请日期：</label>
							<div class="layui-input-block">
								<input id="beginDate" placeholder="开始时间" name="beginDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
									   value="<fmt:formatDate value="${workRegularApply.beginDate}" pattern="yyyy-MM-dd"/>"/>
								</input>
								<span class="group-sep">-</span>
								<input id="endDate" placeholder="结束时间" name="endDate" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon query-group"
									   value="<fmt:formatDate value="${workRegularApply.endDate}" pattern="yyyy-MM-dd"/>"/>
								</input>
							</div>
						</div>
						<div class="layui-item athird">
							<div class="input-group">
								<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
								<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
								<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
							</div>
						</div>
						<div style="    clear:both;"></div>
					</div>
					<div id="moresees" style="clear:both;display:none;">
						<div class="layui-item query athird ">
							<label class="layui-form-label">状态：</label>
							<div class="layui-input-block">
								<form:select path="state" class=" form-control  simple-select">
									<form:option value="" label=""/>
									<form:options items="${fns:getDictList('audit_state')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
								</form:select>
							</div>
						</div>
						<div style="clear:both;"></div>
					</div>
				</form:form>
			</div>
		</div>

		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<%--此处按钮样式包括 nav-btn-add nav-btn-refresh nav-btn-import nav-btn-export nav-btn-query nav-btn-reset--%>
					<c:if test="${user.status eq '试用'}">
					<shiro:hasPermission name="workregularapply:workRegularApply:add">
						<a href="javascript:void(0)" onclick="openDialog('新增转正申请', '${ctx}/workregularapply/workRegularApply/form?tabId=1','95%','95%')" class="nav-btn nav-btn-add" ><i class="fa fa-plus"></i>&nbsp;添加</a>
					</shiro:hasPermission>
					</c:if>
						<shiro:hasPermission name="workregularapply:workRegularApply:export">
							<table:exportExcel url="${ctx}/workregularapply/workRegularApply/export"></table:exportExcel><!-- 导出按钮 -->
						</shiro:hasPermission>
					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable"></table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                {field:'no',align:'center',sort: true, width:120,title: '工号', templet:function(d){
                        var xml = "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('查看转正申请', '${ctx}/workregularapply/workRegularApply/view?id=" + d.id + "','95%','95%')\">" +
                            "<span title=" + d.no + ">" + d.no + "</span></a>";
                        return xml;
                    }},
                {field:'name',align:'center', minWidth:150, title: '姓名',templet:function(d){
                        return "<span title='"+ d.name +"'>" + d.name + "</span>";
                    }}
                ,{field:'idCard',align:'center',width:150, title: '身份证号码',templet:function(d){
                        return "<span title='"+ d.idCard +"'>" + d.idCard + "</span>";
                    }}
                ,{field:'officeName',align:'center',minWidth:150, title: '部门',templet:function(d){
                        return "<span title='"+ d.officeName +"'>" + d.officeName + "</span>";
                    }}
                ,{field:'jobName',align:'center',width:150, title: '职级',templet:function(d){
                        return "<span title='"+ d.jobName +"'>" + d.jobName + "</span>";
                    }}
                ,{field:'status', align:'center',width:100,title: '员工状态'}
                ,{field:'applyDate',align:'center',width:100, title: '申请日期',templet:function(d){
                        return "<span title='"+ d.applyDate +"'>" + d.applyDate + "</span>";
                    }}
                ,{field:'state',align:'center',width:80, title: '申请状态',templet:function(d){
                        var st = getAuditState(d.state);
                        if(st.action)
                            var xml = "<span onclick=\"openDialogView('流程追踪', '${ctx}/workregularapply/workRegularApply/getProcess?id=" + d.id + "','95%','95%')\" class=\"status-label status-label-" + st.label + "\" >" + st.status + "</span>";
                        else
                            var xml = "<span style=\"cursor:default;\" class=\"status-label status-label-" + st.label + "\" >" + st.status + "</span>";
                        return xml;
                    }}
                ,{align:'caozuo',align:'center',title:"操作",width:160,templet:function(d){

                        var xml = "";

                        if(d.canedit != undefined && d.canedit == "1"){
                            xml +="<a href=\"javascript:void(0)\" onclick=\"openDialog('修改转正申请', '${ctx}/workregularapply/workRegularApply/form?id=" + d.id+"','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i>修改</a>"
                        }
                       /* if(d.canmodify != undefined && d.canmodify =="1"){
                            xml+="<a href=\"#\" onclick=\"openDialogremodify('修改转正申请', '${ctx}/workregularapply/workRegularApply/modify?id=" + d.id + "','95%', '95%','','重新申请,关闭')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 修改</a>";
                        }*/
                        if(d.candelete != undefined && d.candelete == "1"){
                            xml +="<a href=\"${ctx}/workregularapply/workRegularApply/delete?id=" + d.id+"\" onclick=\"return confirmx('确认要删除该转正申请吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 删除</a>";
                        }
                        if(d.cancancel != undefined && d.cancancel =="1"){
                            xml+="<a href=\"${ctx}/workregularapply/workRegularApply/revoke?id=" + d.id + "&processInstanceId=" + d.procId + "\" onclick=\"return confirmx('确认要撤回该转正申请吗？', this.href)\" class=\"op-btn op-btn-cancel\" ><i class=\"glyphicon glyphicon-share-alt\"></i> 撤回</a>";
                        }

                        return xml;
                    }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workRegularApply" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "id":"${workRegularApply.id}"
                    ,"no":"${workRegularApply.workStaffBasicInfo.no}"
                    ,"name":"${workRegularApply.workStaffBasicInfo.name}"
                    ,"idCard":"${workRegularApply.workStaffBasicInfo.idCard}"
                    ,"officeName":"${workRegularApply.workStaffBasicInfo.office.name}"
                    ,"jobName":"${workRegularApply.jobName}"
                    ,"status":"${workRegularApply.workStaffBasicInfo.status}"
                    ,"applyDate":"<fmt:formatDate value="${workRegularApply.applyDate}" pattern="yyyy-MM-dd"/>"
                    ,"state":"${workRegularApply.state}"
                    ,"procId":"${workRegularApply.processInstanceId}"
                    <c:if test="${flag == '1' or fns:getUser().id == workRegularApply.createBy.id}">
                    <shiro:hasPermission name="workregularapply:workRegularApply:edit">
					,"canedit":<c:choose><c:when test="${workRegularApply.state == 1 or workRegularApply.state == 3}">"1"</c:when><c:otherwise>"0"</c:otherwise></c:choose>
                    ,"canmodify":<c:choose><c:when test="${workRegularApply.state == 4}">"1"</c:when><c:otherwise>"0"</c:otherwise></c:choose>
                    </shiro:hasPermission>
                    <shiro:hasPermission name="workregularapply:workRegularApply:del">
					,"candelete":<c:choose><c:when test="${workRegularApply.state == 1 or workRegularApply.state == 3 or workRegularApply.state == 4}">"1"</c:when><c:otherwise>"0"</c:otherwise></c:choose>
					</shiro:hasPermission>
                    ,"cancancel":<c:choose><c:when test="${workRegularApply.state == 2}">"1"</c:when><c:otherwise>"0"</c:otherwise></c:choose>
                    </c:if>
                }
                </c:forEach>
                </c:if>
            ]
        });

    })
    resizeListTable();
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
<script type="text/javascript">
    $(document).ready(function() {
        $("#cus_name").show();
        $("#cus_name").siblings().hide();
        //搜索框收放
        $('#moresee').click(function(){
            if($('#moresees').is(':visible'))
            {
                $('#moresees').slideUp(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
            }else{
                $('#moresees').slideDown(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
            }
        });

        laydate.render({
            elem: '#beginDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
            format: 'yyyy-MM-dd',
            type : 'date'
        });

        laydate.render({
            elem: '#endDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
            format: 'yyyy-MM-dd',
            type : 'date'
        });

    });
    function switchInput(obj){
        $("#"+obj).show();
        $("#"+obj).siblings().hide();
    }

    function openDialogremodify(title,url,width,height,target){

        if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
            width='auto';
            height='auto';
        }else{//如果是PC端，根据用户设置的width和height显示。

        }
        top.layer.open({
            type: 2,
            area: [width, height],
            title: title,
            skin: 'two-btns',
            maxmin: true, //开启最大化最小化按钮
            content: url ,
            btn: ['重新申请','关闭'],
            yes: function(index, layero){
                var body = top.layer.getChildFrame('body', index);
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                var inputForm = body.find('#inputForm');
                var top_iframe;
                if(target){
                    top_iframe = target;//如果指定了iframe，则在改frame中跳转
                }else{
                    top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                }
                inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示

                if(iframeWin.contentWindow.doSubmit() ){
                    top.layer.close(index);//关闭对话框。
                    //setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                }

            }

        });
    }
    function openDialog(title,url,width,height,target) {
        if (navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)) {//如果是移动端，就使用自适应大小弹窗
            width = 'auto';
            height = 'auto';
        } else {//如果是PC端，根据用户设置的width和height显示。
        }
        top.layer.open({
            type: 2,
            area: [width, height],
            title: title,
            maxmin: true, //开启最大化最小化按钮
            content: url,
            skin: 'three-btns',
            btn: ['送审', '暂存', '关闭'],
            btn1: function(index, layero){
                var body = top.layer.getChildFrame('body', index);
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                var inputForm = body.find('#inputForm');
                var top_iframe;
                if(target){
                    top_iframe = target;//如果指定了iframe，则在改frame中跳转
                }else{
                    top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                }
                inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                if(iframeWin.contentWindow.doSubmit(1) ){
                    // top.layer.close(index);//关闭对话框。
                    setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                }
            },
            btn2:function(index,layero){
                var body = top.layer.getChildFrame('body', index);
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                var inputForm = body.find('#inputForm');
                var top_iframe;
                if(target){
                    top_iframe = target;//如果指定了iframe，则在改frame中跳转
                }else{
                    top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                }
                inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                if(iframeWin.contentWindow.doSubmit(2) ){
                    // top.layer.close(index);//关闭对话框。
                    setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                }else {
                    return false;
                }
            },
            btn3: function (index) {
            }
        });
    }
</script>
</body>
</html>
